| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLAbstractDoubleFloat Class Reference

`#include <XMLAbstractDoubleFloat.hpp>`

Inheritance diagram for XMLAbstractDoubleFloat

[legend]
Collaboration diagram for XMLAbstractDoubleFloat:

[legend]
List of all members.

## Public Types

enum | LiteralType { NegINF, NegZero, PosZero, PosINF, NaN, SpecialTypeNum, Normal }

## Public Methods

virtual | ~XMLAbstractDoubleFloat ()
virtual XMLCh* | toString ()const
| Return string representation of the decimal value. More...
virtual int | getSign ()const
| Returns the sign of this number. More...

## Protected Methods

| XMLAbstractDoubleFloat ()
void | init (const XMLCh *const strValue)
virtual void | checkBoundary (const XMLCh *const strValue)=0

## Static Protected Methods

int | compareValues (const XMLAbstractDoubleFloat *const lValue,const XMLAbstractDoubleFloat *const rValue)
| Compares this object to the specified object. More...

## Member Enumeration Documentation

enum XMLAbstractDoubleFloat::LiteralType

Enumeration values:

  NegINF |
  NegZero |
  PosZero |
  PosINF |
  NaN |
  SpecialTypeNum |
  Normal |

## Constructor & Destructor Documentation

virtual XMLAbstractDoubleFloat::~XMLAbstractDoubleFloat ( | )`[virtual]`

XMLAbstractDoubleFloat::XMLAbstractDoubleFloat ( | )`[protected]`

## Member Function Documentation

virtual void XMLAbstractDoubleFloat::checkBoundary ( | const XMLCh *const strValue )`[protected, pure virtual]`

| Reimplemented in XMLDouble, and XMLFloat.

int XMLAbstractDoubleFloat::compareValues ( | const XMLAbstractDoubleFloat *const lValue,
| const XMLAbstractDoubleFloat *const rValue )`[static, protected]`

Compares this object to the specified object.

The result is `true` if and only if the argument is not `null` and is an `XMLAbstractDoubleFloat` object that contains the same `int` value as this object.

Parameters:

  lValue | the object to compare with.
  rValue | the object to compare against.

Returns:
  `true` if the objects are the same; `false` otherwise.

virtual int XMLAbstractDoubleFloat::getSign ( | ) const`[virtual]`

| Returns the sign of this number. -1 negative 0 zero 1 positive Reimplemented from XMLNumber.

void XMLAbstractDoubleFloat::init ( | const XMLCh *const strValue )`[protected]`

virtual XMLCh* XMLAbstractDoubleFloat::toString ( | ) const`[virtual]`

| Return string representation of the decimal value. A decimal point will be included as necessary, the caller of this method is responsible for the de-allocation of the memory. Reimplemented from XMLNumber.

The documentation for this class was generated from the following file:

- XMLAbstractDoubleFloat.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.